Onboarding RFI

Published when a RFI is required during an onboarding process.

Usage Guidelines

Upon receiving this notification, please follow the steps below:

  1. Retrieve RFI Details
    Use the rfi_id provided in the notification to call the API Retrieve RFI. This API returns the required file information for the current RFI.
  2. Upload Required File
    Upload the specified file via the API Upload A File. Upon success, a file_id will be returned.
  3. Submit File via Answer RFI
    Submit the file_id to UQPAY using the API Answer RFI.
    Please ensure that the answer.key in your request matches the question.key returned from the Retrieve RFI response.

Event metadata

  • name: RFI
  • types:
    • rfi.action_required

Request body

FieldsData TypeDescription
versionstringAPI Version number.
event_namestringEvent name.
event_typestringType of event that triggered the RFI. Valid values are:
  • rfi.action_required: Triggered during onboarding.
  • rfi.transaction.action_required: Triggered by a deposit or payout transaction.
In this case, rfi.action_required will be returned.
event_idstringA unique UUID identifier of the event.
source_idstringA unique UUID identifier of the source, which in this case is the rfi_id.
data.rfi_idstringA unique UUID identifier of the RFI.
data.rfi_typestringThe type of RFI. Indicates the business scenario for which the RFI was triggered. Valid values are:
  • onboarding: The RFI was raised during the account onboarding process. This typically requires documents to verify your business information or compliance details.
  • transaction: The RFI was raised in the context of a specific transaction. Additional documentation is needed to verify the legitimacy or purpose of the transaction.
In this case, onboarding will be returned.
data.account_idstringA unique UUID identifier of the account.
data.create_timestringThe timestamp when the RFI was initiated. Timestamp follows the ISO 8601 standard.
data.update_timestringThe timestamp when the RFI was updated. Timestamp follows the ISO 8601 standard.
data.ref_reference_idstringA unique UUID referencing the related entity:
  • If rfi_type is onboarding, the account_id will be returned.
  • If rfi_type is transaction, either the deposit_id or payout_id will be returned, depending on the transaction type.
In this case, account_id will be returned.

Notification example

{
    "version": "V1.6.0",
    "event_name": "RFI",
    "event_type": "rfi.action_required",
    "event_id": "f531776b-df59-4d11-84f0-11e7ae3755f0",
    "source_id": "881147e4-89de-4e0e-afbc-7d19f6c4f14b",
    "data": {
      "rfi_id": "3bb1231f-3010-4bd8-b44b-c689c79cf635",
      "rfi_type": "onboarding",
      "account_id": "f5bb6498-552e-40a5-b14b-616aa04ac1c1",
      "create_time": "2024-03-21T17:17:32+08:00",
      "update_time": "2024-03-21T17:17:32+08:00",
      "ref_reference_id": "c0cef051-29c5-4796-b86a-cd5b684bfad7"
    }
}